<?php
require '../conexao/conexao.php';
//require '../sessao.php';
require '../conexao/acesso.php';
require '../configuacoes.php';
require '../configuracao/consulta_banco_dados.php';
require '../configuracao/filtros.php';
require '../logs/gera-log.php';

// Instancia a classe de consulta_bb ao banco de dados
$consulta_bb = new ConsultaBancoDeDados();
$filtros = new Filtros();

$result = null; // Definindo $result como null


$filiais = $consulta_bb->get_filiais();
$funcionarios = $consulta_bb->get_funcionarios_mandareceita();


$etapas = $consulta_bb->get_etapaFirebird();
// Consulta SQL DEPARTAMENTO
$sql_departamento =
    "SELECT dp.id_departamento,dp.nome_departamento FROM departamentos as dp where situacao <> 'I'";

// Executando a consulta
$result_departamento = $connectionmysql->query($sql_departamento);

// Verificando se a consulta foi bem-sucedida
if ($result_departamento) {
    // Inicializando um array para armazenar os resultados
    $departamentoArray = array();

    // Fetching os resultados e armazenando no array
    while ($row3 = $result_departamento->fetch_assoc()) {
        $departamentoArray[] = $row3;
    }
} else {
    // Lidando com erros na execução da consulta
    echo "Erro na execução da consulta: " . $connectionmysql->error;
}

// Consulta SQL setor
$sql_setor = "SELECT st.id_setor,st.nome_setor,dp.id_departamento  FROM departamentos dp join setores st on st.id_departamento = dp.id_departamento where situacao <> 'I'";

// Executando a consulta
$result_setor = $connectionmysql->query($sql_setor);

// Verificando se a consulta foi bem-sucedida
if ($result_setor) {
    // Inicializando um array para armazenar os resultados
    $setorArray = array();

    // Fetching os resultados e armazenando no array
    while ($row4 = $result_setor->fetch_assoc()) {
        $setorArray[] = $row4;
    }
} else {
    // Lidando com erros na execução da consulta
    echo "Erro na execução da consulta: " . $connectionmysql->error;
}


// Recuperar os filtros da sessão para usar na página
if (isset($_SESSION['filtros'])) {
    $filtros_recuperados = $_SESSION['filtros'];
    $codigo_pharmacie = $filtros_recuperados['codigo'] ?? null;
    $setorSelecionado = $filtros_recuperados['setor'] ?? null;
    $meu_departamento = $filtros_recuperados['departamento'] ?? null;
    $nome = $filtros_recuperados['nome'] ?? null;
    $DataInicial = $filtros_recuperados['DataInicial'] ?? null;
    $DataFinal = $filtros_recuperados['DataFinal'] ?? null;
    $etapaSelecionado = $filtros_recuperados['etapa'] ?? null;
    $filial = $filtros_recuperados['filial'] ?? null;
}

// Obtendo os parâmetros
$codigo_pharmacie = $_GET['codigo_pharmacie'] ?? null;
$setorSelecionado = $_GET['setor'] ?? null;
$meu_departamento = $_GET['departamento'] ?? null;
$nome = $_GET['nome'] ?? null;
$DataInicial = $_GET['DataInicial'] ?? null;
$DataFinal = $_GET['DataFinal'] ?? null;
$etapaSelecionado = $_GET['etapa'] ?? null;
$ids = array_column($filiais, 'ID');
array_unshift($ids, 'x');
$ids_filial = implode(',', $ids);
$filialselect = !empty($_GET['filial']) ? $_GET['filial'] : null;
$filial = explode(',', $filialselect);

$filial = array_filter($filial, function ($item) {
    return $item !== 'x';
});
$filial = array_values($filial);
$filial = implode(',', $filial);
$operacoes_select = $_GET['operacao'] ?? null;
$codidentificador = $_GET['codidentificador'] ?? null;
if (!empty($codidentificador)) {
    $funcionario = explode(' - ', $codidentificador)[0];
    $nome_funcionario = explode(' - ', $codidentificador)[1];
} else {
    $funcionario = null;
}
$query_string = http_build_query([
    'codidentificador' => $codidentificador,
    'codigo_pharmacie' => $codigo_pharmacie,
    'filial' => $filialselect,
    'departamento' => $meu_departamento,
    'setor' => $setorSelecionado,
    'nome' => $nome,
    'DataInicial' => $DataInicial ?? null,
    'DataFinal' => $DataFinal ?? null,
    'operacao' => $operacoes_select,
    'etapa' => $etapaSelecionado ?? null,
    'form_submitted' => isset($_GET['form_submitted']) ? $_GET['form_submitted'] : null,
]);

gerarLog(
    1, // tipo de log (acesso)
    $basePath, // módulo
    $_SESSION['CodUsuario'],
    $_SESSION['NomeUsuario']
);

//VERIFICANDO SE O USUÁRIO CLICOU NO BOTÃO PESQUISAR
if (isset($_GET['form_submitted']) && $_GET['form_submitted'] == '1') {

    gerarLog(
        5, // tipo de log (acesso)
        $basePath, // id do módulo
        $_SESSION['CodUsuario'],
        $_SESSION['NomeUsuario']
    );

    $sql_base = "SELECT 
            f.id_funcionario,
            f.nome,
            f.cod_fcerta,
            d.nome_departamento,
            s.nome_setor,
            COUNT(ml.id_lancamento) AS qtd_erro,
            SUM(me.peso) AS total_peso
        FROM kpi.funcionarios AS f
        LEFT JOIN kpi.mapa_erros_lancados AS ml ON f.id_funcionario = ml.id_funcionario
        LEFT JOIN kpi.mapa_erros AS me ON ml.id_erro = me.id_erro 
        INNER JOIN kpi.departamentos AS d ON f.id_departamento = d.id_departamento
        INNER JOIN kpi.setores AS s ON f.id_setor = s.id_setor
        WHERE 1 = 1
        ";

    // Adicionando condições conforme os parâmetros
    if (isset($codigo_pharmacie) && trim($codigo_pharmacie) !== "") {
        $codigo_pharmacie = strtoupper($codigo_pharmacie);
        $codigo_pharmacie = $connectionmysql->real_escape_string($codigo_pharmacie);
        $sql_base .= " AND f.cod_fcerta = '$codigo_pharmacie'";
    }


    if (isset($meu_departamento) && trim($meu_departamento) !== "Todos") {
        $sql_base .= " AND d.id_departamento = '$meu_departamento'";
    }

    if (isset($setorSelecionado) && trim($setorSelecionado) !== "Todos") {
        $sql_base .= " AND s.id_setor = '$setorSelecionado'";
    }
    // Adicionando condicionalmente a cláusula WHERE para o código da etapa
    if (isset($etapaSelecionado) && trim($etapaSelecionado) !== "Todos") {
        $sql_base .= " AND ml.codigo_etapa = '$etapaSelecionado'";
    }

    if (isset($nome) && trim($nome) !== "") {
        $nome = strtoupper($nome);
        $nome = $connectionmysql->real_escape_string($nome);
        $sql_base .= " AND UPPER(f.nome) LIKE '%$nome%'";
    }
    if (isset($funcionario) && trim($funcionario) !== "") {
        $sql_base .= " AND ml.identificador = $funcionario";
    }
    if ($DataInicial) {
        $DataInicial = $connectionmysql->real_escape_string($DataInicial);
        $sql_base .= " AND (DATE(ml.data_lancamento) >= '$DataInicial')";
    }

    if ($DataFinal) {
        $DataFinal = $connectionmysql->real_escape_string($DataFinal);
        $sql_base .= " AND (DATE(ml.data_lancamento) <= '$DataFinal')";
    }

    // Adicionando o GROUP BY
    $sql_base .= " AND f.situacao = 'A' GROUP BY f.id_funcionario,f.nome,f.cod_fcerta,d.nome_departamento,s.nome_setor";

    $resultmeta = $connectionmysql->query($sql_base);
    // $total_registros_por = [];
    // if ($resultmeta) {
    //     while ($row = $resultmeta->fetch_assoc()) {
    //         $total_registros_por[] = $row;
    //     }
    // }
    // var_dump($total_registros_por);

    //Consulta que busca os resultados de produtividade do colaborador
    $query_geral = "SELECT  FU.NOMEFUNCIONARIO as MANIPULADOR,
        FU.CODIGO as CDFUN ,
        cast(sum(
        case
        when AG.AG1_OP = 1 and PM.TIPO_MOV = 1 then (select (count(*))
        from ATENDIMENTO_A2 A2
        where PM.CODIGO_MOV = A2.CODIGO_ATEND_A1 and
        PM.NUMEROFORMULA_MOV = A2.NUMEROFORMULA and
        A2.CONCLUIDOFORMULA = -1)
        when AG.AG1_OP = 0 and PM.TIPO_MOV = 1 then 1
        else 0
        end) as integer) as TOTAL_REGISTROS

        from PROCESSO_MANIPULACAO PM
        inner join FUNCIONARIO FU on PM.CODIGO_FUNCIONARIO = FU.CODIGO
        inner join FORMAFARMACEUTICA_PROCESSO_TIPO FFP on PM.CODIGO_PROCESSO_TIPO = FFP.CODIGO
        left join UTIL_REL_AG1(1) AG on AG.AG1_OP >= 0
        where 1 = 1 ";

    // if (isset($filial) && $filial !== "Todos") {
    //     $query_geral .= " AND fun.cdcon IN($filial)";
    // }
    if (!empty($codigo_pharmacie) && $codigo_pharmacie !== "Todos" && $codigo_pharmacie !== "Selecione") {
        $query_geral .= " AND FU.CODIGO IN($codigo_pharmacie)";
    }

    if ($DataInicial && $DataFinal) {
        $query_geral .= "  AND PM.DATA_PROCESSO BETWEEN '$DataInicial' AND '$DataFinal'";
    }
    if ($etapaSelecionado && $etapaSelecionado != "Selecione" && $etapaSelecionado != "Todos") {
        $query_geral .= " AND PM.CODIGO_PROCESSO_TIPO = '" . $etapaSelecionado . "'";
    }

    $query_geral .= "group by  FU.NOMEFUNCIONARIO, FU.CODIGO
    order by  FU.NOMEFUNCIONARIO";

    //echo $sql_base;
    $result_geral = ibase_query($connection, $query_geral);

    if (!$result_geral) {
        die('Erro na consulta Firebird: ' . ibase_errmsg());
    }
    $total_registros_por = [];
    while ($row_geral = ibase_fetch_assoc($result_geral)) {
        $total_registros_por[$row_geral['CDFUN']] = $row_geral['TOTAL_REGISTROS'];
    }
    // var_dump($total_registros_por);
}
?>

<!DOCTYPE html>
<html lang="pt-br">

<head>
    <link rel="stylesheet" href="modalexcluir.css">

</head>
<?php
$pageTitle = "Mapa de Erros"; // Definir o título da página aqui
include('../geral/header.php');
?>

<body>

    <!-- Navigation Bar-->
    <?php
    include('../geral/menu.php');
    ?>
    <!-- End Navigation Bar-->

    <!-- ============================================================== -->
    <!-- Start Page Content here -->
    <!-- ============================================================== -->

    <div class="wrapper candidato">
        <div class="container-fluid">

            <div class="card-box mt-3">
                <div class="row">

                    <div class="col-6 text-left">
                        <h4 class="page-title">Mapa de Erros</h4>
                    </div>

                    <div class="col-6 text-right">

                        <a href="../novos_erros/index.php?id=2&<?= $query_string ?>" class="btn btn-light" alt="Incluir Erro" title="Incluir Erro"><i class="mdi mdi-plus"></i>Gestão de Erros</a>

                    </div>

                    <div class="col-12">
                        <hr>
                    </div>

                    <div class="col-12">
                        <form id="indexForm" method="get" action="" onsubmit="return validarFormulario()">
                            <div class="form-row mb-3">
                                <?php
                                echo $filtros->filtroFilialSimples($filialselect, $filiais);
                                echo $filtros->filtroEtapa($etapaSelecionado, $etapas);
                                ?>
                                <div class="form-group col-6 col-md-4 col-lg-2">
                                    <label for="codigo_pharmacie" class="col-form-label">Código Pharmacie</label>
                                    <input type="number" class="form-control" id="codigo_pharmacie" name="codigo_pharmacie" placeholder="Informe o Código" value="<?php echo isset($codigo_pharmacie) ? htmlspecialchars($codigo_pharmacie) : ''; ?>">

                                </div>

                                <div class="form-group col-6 col-md-4 col-lg-2">
                                    <label for="nome" class="col-form-label">Nome Colaborador</label>
                                    <p> <input type="text" name="nome" id="nome" class="form-control" placeholder="Informe o nome do Colaborador" value="<?php echo isset($nome) ? htmlspecialchars($nome) : ''; ?>"></p>
                                </div>

                                <div class="form-group col-6 col-md-4 col-lg-2">
                                    <label for="tipo" class="col-form-label">Departamento</label>
                                    <select id="departamento" name="departamento" class="form-control">
                                        <option value="Todos" <?php echo (!isset($meu_departamento) || $meu_departamento == "Todos") ? "selected" : ""; ?>>Todos</option>
                                        <?php
                                        foreach ($departamentoArray as $departamento) {
                                            echo '<option value="' . $departamento['id_departamento'] . '"' . (isset($meu_departamento) && $meu_departamento == $departamento['id_departamento'] ? " selected" : "") . '>' . $departamento['nome_departamento'] . '</option>';
                                        }
                                        ?>
                                    </select>
                                </div>

                                <div class="form-group col-6 col-md-4 col-lg-2">
                                    <label for="tipo" class="col-form-label">Setor</label>
                                    <select id="setor" name="setor" class="form-control">
                                        <option value="Todos" <?php echo (!isset($setorSelecionado) || $setorSelecionado == "Todos") ? "selected" : ""; ?>>Todos</option>
                                        <?php
                                        foreach ($setorArray as $setor) {
                                            echo '<option value="' . $setor['id_setor'] . '"' . (isset($setorSelecionado) && $setorSelecionado == $setor['id_setor'] ? " selected" : "") . ' data-master="' . $setor['id_departamento'] . '">' . $setor['nome_setor'] . '</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                                <?= $filtros->FiltroSearch('identificador', $funcionarios, true, $codidentificador, false); ?>
                                <div class="col-6 col-md-4 col-lg-2">
                                    <label for="DataInicial" class="col-form-label">Data Inicial</label>
                                    <input type="date" id="DataInicial" name="DataInicial" class="form-control" value="<?php echo isset($DataInicial) ? $DataInicial : ''; ?>" oninput="validarCampo('DataInicial',this.value)">
                                </div>

                                <div class="col-6 col-md-4 col-lg-2">
                                    <label for="DataFinal" class="col-form-label">Data Final</label>
                                    <input type="date" id="DataFinal" name="DataFinal" class="form-control" value="<?php echo isset($DataFinal) ? $DataFinal : ''; ?>" oninput="validarCampo('DataFinal',this.value)">
                                </div>

                                <!--CAMPO PARA INDICAR QUE CLICAMOS NO PESQUISAR -->
                                <input type="hidden" name="form_submitted" value="1" />

                                <div class="col-6 col-md-12 col-lg-6 d-flex mt-3" style="align-items:center;justify-content: end;">
                                    <div>
                                        <a href="index.php" class="btn btn-warning mr-2"><i class="mdi mdi-plus"></i> Limpar</a>
                                    </div>
                                    <div>
                                        <button type="submit" class="btn btn-primary"><i class="mdi mdi-magnify"></i> Pesquisar</button>
                                    </div>
                                </div>
                        </form>
                    </div>
                </div>
                <?php
                //VERIFICANDO SE O USUÁRIO CLICOU NO BOTÃO PESQUISAR
                if (isset($_GET['form_submitted']) && $_GET['form_submitted'] == '1') { ?>
                    <div class="col-12">
                        <div style="display: flex; justify-content: space-between; align-items: center;">
                            <h6>Lista de Erro dos Colaboradores </h6>
                        </div>
                        <table id="datatable-buttons" class="table table-striped table-bordered dt-responsive nowrap">
                            <thead>
                                <tr class="text-center">
                                    <th>Nome</th>
                                    <th>Código</th>
                                    <th>Departamento</th>
                                    <th>Setor</th>
                                    <th>Qtd Fórmula</th>
                                    <th>Total Erros</th>
                                    <th>Peso Total</th>
                                    <th>% De Erros</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $hasResults = false;  // Inicializa como false

                                if ($resultmeta) {  // Verifica se $resultmeta é válido
                                    while ($row = $resultmeta->fetch_assoc()) {
                                        $hasResults = true;
                                        $id_funcionario = $row['id_funcionario'];
                                        $qtd_erro = $row['qtd_erro'];
                                        $total_peso = $row['total_peso'];
                                        $cod = $row['cod_fcerta'];
                                        $total_registros = isset($total_registros_por[$cod]) ? $total_registros_por[$cod] : 0;

                                        // Calcula o percentual de erro
                                        $percentual_erro = ($total_registros != 0) ? ($total_peso / $total_registros) * 100 : 0;
                                ?>
                                        <tr class="text-center">
                                            <td><?php echo htmlspecialchars($row['nome']); ?></td>
                                            <td><?php echo htmlspecialchars($row['cod_fcerta']); ?></td>
                                            <td><?php echo htmlspecialchars($row['nome_departamento']); ?></td>
                                            <td><?php echo htmlspecialchars($row['nome_setor']); ?></td>
                                            <td><?php echo htmlspecialchars($total_registros); ?></td>
                                            <td><?php echo htmlspecialchars($qtd_erro); ?></td>
                                            <td><?php echo htmlspecialchars(isset($total_peso)) ? number_format($total_peso, 2) : '0'; ?></td>
                                            <td><?php echo htmlspecialchars(number_format($percentual_erro, 2) . '%'); ?></td>
                                            <td> <a href="detalha_erros.php?id_funcionario=<?php echo $id_funcionario; ?>&<?php echo $query_string; ?>" class="table-actions link-view" title="Detalhar Erros"><i class="mdi mdi-account-details"></i></a>

                                                <a href="lancar_erro.php?id=1&id_funcionario=<?php echo $id_funcionario; ?>&<?php echo $query_string; ?>"
                                                    class="table-actions link-view" title="Marcar Erro"><i class="mdi mdi-pencil"></i></a>
                                            </td>
                                        </tr>
                                <?php
                                    }
                                }

                                if (!$hasResults) {
                                    echo "<tr><td colspan='7' class='text-center'>Sem resultado para a consulta</td></tr>";
                                }
                                ?>
                            </tbody>

                        </table>
                    </div>
            </div>
            <!-- <div style="display: flex; justify-content: center;">
                <?php include('paginacao.php'); ?>
            </div> -->
        <?php } //fechamento do IF que valida se o usuário clicou no botão pesquisar 
        ?>
        </div>
    </div>

    </div> <!-- end container -->
    </div>

    <!-- Código do modal -->

    <div id="myModal" class="modal">
        <div class="modal-content">
            <span class="close" onclick="closeModal()">&times;</span>
            <h2>Deseja realmente excluir o Produto selecionado?</h2>

            <!-- Formulário de confirmação -->
            <form id="formExclusao" method="post" action="excluir_produto.php">
                <!-- Corrigir o nome da variável aqui para id_produto -->
                <input type="hidden" id="id_produto" name="id_produtos_falta" value="">

                <label for="confirmacao_sim">
                    <input type="radio" id="confirmacao_sim" name="confirmacao" value="sim"> Sim
                </label>

                <label for="confirmacao_nao">
                    <input type="radio" id="confirmacao_nao" name="confirmacao" value="nao"> Não
                </label>

                <br>

                <!-- Adicione a classe confirmar-btn ao botão de Confirmar -->
                <button type="button" class="confirmar-btn" onclick="confirmarExclusao()">Confirmar</button>
            </form>
        </div>
    </div>

    <!-- FINAL MODAL DE EXCLUIR -->

    <!-- end wrapper -->

    <!-- ============================================================== -->
    <!-- End Page content -->
    <!-- ============================================================== -->

    <!-- Footer Start -->
    <?php
    include('../geral/footer.php');
    ?>
    <!-- end Footer -->

    <?php
    include('../geral/mensagens_modais.php');

    ?>

    <!-- Vendor js -->
    <script src="../../assets/js/vendor.min.js"></script>

    <!-- knob plugin -->
    <script src="../../assets/libs/jquery-knob/jquery.knob.min.js"></script>
    <!-- App js-->
    <script src="../../assets/js/app.min.js"></script>

    <script src="../geral/javascript.js"></script>
    <script src="../../assets/js/funcoes.js"></script>
    <!-- Inclua isso no cabeçalho para garantir que as bibliotecas sejam carregadas -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <link rel="stylesheet" href="https://cdn.datatables.net/1.11.3/css/dataTables.bootstrap5.min.css">


    <select style="display: none;" id="saida" name="saida">
        <option value="," selected></option>
    </select>
    <script>
        initDropdownFilterSilmples('identificador', 'saida', true);

        applyFilter('departamento', 'setor', 'data-master', '<?php echo isset($setorSelecionado) ? $setorSelecionado : ''; ?>');

        $(document).ready(function() {
            var table = $('#datatable-buttons').DataTable({
                "language": {
                    "url": "https://cdn.datatables.net/plug-ins/1.10.21/i18n/Portuguese-Brasil.json"
                },
                "ordering": true,
                "responsive": true,
                "autoWidth": false,
                "lengthMenu": [
                    [10, 25, 50, 100, -1],
                    [10, 25, 50, 100, "Todos"]
                ],
                dom: '<"thead-left"B><"thead-right"f>t<"datatable-footer d-flex justify-content-between align-items-center mt-2 w-100"<"footer-left"l><"footer-center"i><"footer-right"p>>',
            });
            setTimeout(function() {
                $("#datatable-buttons_filter").children("label").css("font-size", "15px");
            }, 30);
            setTimeout(function() {
                $("#datatable-buttons_length").children("label").css("font-size", "15px");
            }, 30);
        });
    </script>
    <style>
        #datatable-buttons_length label,
        #datatable-buttons_info {
            margin: 0 !important;
            padding: 0 !important;
            align-items: center;
        }
    </style>
    <script>
        // Função para abrir o modal e definir os valores dos campos ocultos
        function openModal(idProduto) {
            // Corrigir o nome da variável aqui para id_produto
            document.getElementById('id_produto').value = idProduto;
            document.getElementById('myModal').style.display = 'block';
        }

        // Função para fechar o modal
        function closeModal() {
            document.getElementById('myModal').style.display = 'none';
        }

        // Função para confirmar a exclusão e enviar o formulário
        function confirmarExclusao() {
            // Aqui você pode adicionar lógica para confirmar a exclusão
            // Por exemplo, enviar o formulário
            document.getElementById('formExclusao').submit();
            closeModal();
        }
    </script>
    <script type="text/javascript">
        function showModal(title, message) {
            const modal = new bootstrap.Modal(document.getElementById('exampleModal'));
            const modalTitle = document.querySelector('.modal-title');
            const modalBody = document.querySelector('.modal-body p');

            modalTitle.textContent = title;
            modalBody.textContent = message;

            modal.show();
        }

        function validarCampo(id) {
            let campo = document.getElementById(id);
            return campo.value.trim(); // Retorna o valor do campo após remover espaços em branco
        }

        function adicionarClasseErro(campo) {
            campo.classList.add('is-invalido');
        }

        function removerClasseErro(campo) {
            campo.classList.remove('is-invalido');
        }

        function validarFormulario() {
            let DataInicial = validarCampo("DataInicial");
            let DataFinal = validarCampo("DataFinal");


            let DataInicialCampo = document.getElementById("DataInicial");
            let DataFinalCampo = document.getElementById("DataFinal");

            if (DataInicial === '' || DataFinal === '') {
                adicionarClasseErro(DataInicialCampo);
                adicionarClasseErro(DataFinalCampo);
                showModal('Informação', 'As datas de inicial e final são obrigatórias para realizar a consulta.');
                return false;
            }

            if (new Date(DataInicial) > new Date(DataFinal)) {
                adicionarClasseErro(DataInicialCampo);
                adicionarClasseErro(DataFinalCampo);
                showModal('Erro', 'A data inicial não pode ser maior que a data final.');
                return false;
            }

            if (!algumPreenchido) {
                showModal('Informação', 'Pelo menos um campo deve estar preenchido para realizar a consulta.');
                return false;
            }

            return true;
        }

        function verificarDatas() {
            let DataInicialCampo = document.getElementById("DataInicial");
            let DataFinalCampo = document.getElementById("DataFinal");
            let DataInicial = DataInicialCampo.value.trim();
            let DataFinal = DataFinalCampo.value.trim();

            if (DataInicial !== '' && DataFinal !== '') {
                removerClasseErro(DataInicialCampo);
                removerClasseErro(DataFinalCampo);

                if (new Date(DataInicial) > new Date(DataFinal)) {
                    adicionarClasseErro(DataInicialCampo);
                    adicionarClasseErro(DataFinalCampo);
                    //showModal('Erro', 'A data inicial não pode ser maior que a data final.');
                }
            }
        }

        document.getElementById("DataInicial").addEventListener('input', function() {
            removerClasseErro(this);
            verificarDatas();
        });

        document.getElementById("DataFinal").addEventListener('input', function() {
            removerClasseErro(this);
            verificarDatas();
        });
        // Verifica a URL quando a página é carregada
        function verificarErroNaURL() {
            const urlParams = new URLSearchParams(window.location.search);
            const errorMessage = urlParams.get('error');
            if (errorMessage) {
                showModal('exampleModal', 'Erro', errorMessage);
            }
        }

        window.onload = verificarErroNaURL;


        document.addEventListener("DOMContentLoaded", function() {
            // Remove status and message parameters from URL
            const url = new URL(window.location);
            url.searchParams.delete('status');
            url.searchParams.delete('message');
            window.history.replaceState({}, document.title, url);
        });

        function validarCampo(id) {
            let campo = document.getElementById(id);
            return campo.value.trim(); // Retorna o valor do campo após remover espaços em branco
        }
    </script>
    <style>
        .is-invalido {
            box-shadow: 0 0 5px red !important;
        }
    </style>
</body>

</html>